- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#body.ListDeploymentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/list#try-it)

Lists all deployments in a particular project.

### HTTP request

`GET https://gsuiteaddons.googleapis.com/v1/{parent=projects/*}/deployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the project in which to create the deployment. Example: `projects/my_project`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `gsuiteaddons.deployments.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of deployments to return. The service might return fewer than this value. If unspecified, at most 1,000 deployments are returned. The maximum possible value is 1,000; values above 1,000 are changed to 1,000. |
| `pageToken` | `string` A page token, received from a previous `deployments.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `deployments.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message to list deployments.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deployments": [ { object (`https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments#Deployment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `deployments[]` | ``object (`https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments#Deployment`)`` The list of deployments for the given project. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).